%define name	ipodder
%define version	2.1
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Graphical podcast catcher and player
Version: 	%{version}
Release: 	%{release}

Source:		iPodder-linux-%{version}.tar.bz2
URL:		http://ipodder.sourceforge.net/index.php
License:	GPL
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	wxPythonGTK pyxmms python python-libxml2
BuildArch:	noarch

Provides:       iPodder
Obsoletes:      iPodder

%description
iPodder is technically a "Media Aggregator" - a program that allows you to
select and download audio files from anywhere on the Internet to your desktop.

iPodder makes the process easy by helping you select audio files from among
the thousands of audio sources on the web and downloading those files to your
computer. Once you select a feed or location, it will download those files
automatically at times you specify and have the files waiting for you on your
computer, so you don't have to spend a lot of time manually selecting and
waiting for downloads. You can play your selected audio files using "jukebox"
software, or load them on to your portable digital media player to play
anytime you want.

%prep
%setup -q -n iPodder-linux
chmod 755 `find -name '*.py'`
perl -pi -e 's/opt\/iPodder/usr\/share\/ipodder/g' iPodder.sh
perl -pi -e 's/\#\!\/bin\/python/\#\!\/usr\/bin\/python/' `find -name '*.py'`
perl -pi -e 's/\#\!\/usr\/bin\/python2\.3/\#\!\/usr\/bin\/python/' `find -name '*.py'`

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%{name}
install -m755 iPodder.sh -D %buildroot/%_bindir/%{name}
cp -r * %buildroot/%_datadir/%{name}
chmod 755 %buildroot/%_datadir/%{name}/ipodder/*.py
rm -f %buildroot/%_datadir/%{name}/{Changelog,gpl.txt,INSTALL,install.sh,ipodder.desktop,iPodder.sh,iPodder.spec,KNOWN-ISSUES,make-distribution.sh,NOTES,LICENSE,README,TODO}
rm -fr %buildroot/%_datadir/%{name}/build

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="iPodder" longtitle="Podcast catcher" section="Internet/News"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp iPodder-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp iPodder-32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp iPodder-16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc Changelog KNOWN-ISSUES NOTES README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Sep 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-2mdk
- Obsolete/provide iPodder 
- mkrel 

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 2.1-1mdk
- initial package
